<head>
    <title>FST Soldering Table</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- CSS -->
    <link rel="stylesheet" type="text/css" href="../assets/semantic/dist/semantic.min.css">
    <!-- JQuery -->
    <script src="../node_modules/jquery/dist/jquery.min.js"></script>
    <!-- Assets JS -->
    <script src="../assets/semantic/dist/semantic.min.js"></script>
    
    <!-- For Zoom -->
    <script src="../node_modules/@panzoom/panzoom/dist/panzoom.js"></script>
</head>
<body style="background-color: #292929">
    <style>
        .ui.secondary.pointing.menu .item {
            color: #e0e1e2;
        }
    
        .ui.secondary.pointing.menu .active.item {
            color: #e0e1e2;
            border-color: #B1A16F;
        }
        
        .ui.inverted.button:hover {
            color: #e0e1e2 !important;
            background-color: #5d5d5d;
        }
        
    </style>
    <div class="ui secondary pointing menu" style="border-width: 2px;border-bottom-style: solid;border-color: #5d5d5d75;">
        <div class="item" style="font-size: large">
            <strong>Soldering Table™</strong>
        </div>
        <div class="right menu">
            <div class="ui item">
                <img src="../assets/logo.png" style="font-size: x-large"></img>
            </div>
        </div>
    </div>
        <div class="ui internally celled grid">
            <div class="row">
                <div class="ten wide column" style="
                    background-color: #333333;
                    border-bottom-style: solid;
                    border-right-style: solid;
                    border-top-style: solid;
                    border-color: #292929;
                    border-radius: 8px;
                    height: 600px;
                ">
                
                    <style>

                        .planetimage {
                            position: absolute;
                        }

                        .base {
                            top: 0;
                            left: 0;
                            z-index : 0;
                        }

                        .overlay{
                            position: absolute;
                            top: 0;
                            left: 0;
                        }
                    </style>
                    <div id="panzoom-element">
                        <img id="pcb_base" src="../assets/bms_master.png" class="base"/>
                        <img src="../X.png" class="overlay" style="z-index : 1"/>
                        <img src="../Y.png" class="overlay" style="z-index : 2"/>
                    </div>
                </div>
                <script>
                    var zoomRef = 0
                    const pcbBase = document.getElementById('pcb_base')
                    const elem = document.getElementById('panzoom-element')
                    const panzoom = Panzoom(elem, {
                    maxScale: 5,
                    minScale: 1
                    })
                    setTimeout(function() {
                        resetZoom()
                    }, 50)
                    
                    
                    elem.parentElement.addEventListener('wheel', function (event) {
                        panzoom.zoomWithWheel(event)
                        scale = panzoom.getScale()
                        if (scale == 1) {
                            resetZoom()
                        } else {
                            document.getElementById("zoom-out").disabled = false;
                            document.getElementById("reset-zoom").disabled = false;
                        }
                        if (scale == 5) {
                            document.getElementById("zoom-in").disabled = true;
                        } else {
                            document.getElementById("zoom-in").disabled = false;
                        }
                    })
                </script>
                <div class="six wide column" style="box-shadow: none; -webkit-box-shadow: none;">
                    <table class="ui selectable inverted table">
                        <thead>
                            <tr>
                            <th>Manufacturer_Part_Number</th>
                            <th>Quantity</th>
                            <th>Designator</th>
                            <th class="right aligned">Footprint</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                            <td>c_10uF_0603_20_25</td>
                            <td>4</td>
                            <td>C1, C2, C3, C4</td>
                            <td class="right aligned">CAPC3216M [1206]</td>
                            </tr>
                            <tr>
                            <td>c_100 nF_0603_20_25</td>
                            <td>20</td>
                            <td>C7, C8, C9, C14, C15, C16, C17, C18, C19, C20, C31, C32, C34, C35, C36, C37, C38, C39, C40, C41</td>
                            <td class="right aligned">CAPC1608L [0603]</td>
                            </tr>
                            <tr>
                            <td>EEE-HD1E102AQ</td>
                            <td>4</td>
                            <td>C10, C11, C12, C13</td>
                            <td class="right aligned">CAPAE1350X1400N</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="row" style="-webkit-box-shadow: none;box-shadow: none;">
                <div class="ten wide column" style="margin-top: -60px;margin-left: 15px;position: relative">
                    <div class="ui buttons">
                        <button id="zoom-in" onClick="zoommIn()" class="ui icon button" style="background-color: #484848db;color: #ffffffe6;">
                            <i class="plus icon"></i>
                        </button>
                        <button id="zoom-out" onClick="zoommOut()" class="ui icon button" style="background-color: #484848db;color: #ffffffe6;">
                            <i class="minus icon"></i>
                        </button>
                        <button id="reset-zoom" onClick="resetZoom()" class="ui button" style="background-color: #484848db;color: #ffffffe6;">
                        Reset
                    </button>
                    </div>
                    <script>
                        document.getElementById("reset-zoom").disabled = true;
                        document.getElementById("zoom-out").disabled = true;
                        function zoommIn() {
                            document.getElementById("reset-zoom").disabled = false;
                            if (zoomRef != 6) {
                                document.getElementById("zoom-out").disabled = false;
                                zoomRef++;
                                panzoom.zoomIn()
                            } else {
                                document.getElementById("zoom-in").disabled = true;
                            }
                        }
                        
                        function zoommOut() {
                            if (zoomRef != 0) {
                                document.getElementById("zoom-in").disabled = false;
                                zoomRef--;
                                panzoom.zoomOut()
                            } else {
                                 resetZoom()
                            }
                        }
                        
                        function resetZoom() {
                            //alert("Im going to X: "+centerWidth+" Y: "+centerHeight)
                            panzoom.pan(-200, -200)
                            panzoom.zoom(0.4, { animate: true })
                            zoomRef = 0
                            document.getElementById("zoom-out").disabled = true;
                            document.getElementById("zoom-in").disabled = false;
                            document.getElementById("reset-zoom").disabled = true;
                        }
                        
                    </script>
                </div>
            </div>
            </div>
        </div>
</body>
